- name: ensure packages required for taskotron-frontend are installed
  action: yum name={{ item }} state=latest
  with_items:
    - httpd

- name: create dirs for static files
  file: path=/var/www/html/{{ item }} state=directory owner=apache group=apache mode=1755
  with_items:
    - 'static/'
    - 'static/img'
    - 'static/css'
    - 'static/fonts'

- name: copy static bits
  copy: src=static/ dest=/var/www/html/static owner=apache group=apache mode=0644

- name: copy fonts
  copy: src={{ bigfiles }}/fonts dest=/var/www/html/static/fonts owner=apache group=apache mode=0644

- name: generate landing page
  template: src=landingpage.html.j2 dest=/var/www/html/index.html owner=apache group=apache mode=0644

